#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	pimple
Summary:	A simple dependency injection container for PHP
Name:		%{php_name}-ext-%{modname}
Version:	3.0.2
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/silexphp/Pimple/archive/v%{version}/%{modname}-%{version}.tar.gz
# Source0-md5:	a9b3be3c864b98eeb1f8b9acbac6c118
URL:		http://pimple.sensiolabs.org/
BuildRequires:	%{php_name}-devel
BuildRequires:	rpmbuild(macros) >= 1.666
%if %{with tests}
BuildRequires:	%{php_name}-cli
BuildRequires:	%{php_name}-pcre
BuildRequires:	%{php_name}-spl
%endif
%{?requires_php_extension}
Provides:	php(pimple) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		namespace	Pimple

%description
Pimple is a small dependency injection container for PHP that consists
of just one file and one class.

%prep
%setup -qc
mv Pimple-%{version}/ext/pimple/* .

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n -q \
	-d extension_dir=modules \
	-d extension=%{php_extensiondir}/pcre.so \
	-d extension=%{php_extensiondir}/spl.so \
	-d extension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log

export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
%{__make} test \
	PHP_EXECUTABLE=%{__php} \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS="pcre spl"
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Tue Oct 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-ext-pimple.git;a=log;h=auto/th/php-ext-pimple-3.0.2-1

* Mon Oct 19 2015 Elan Ruusamäe <glen@delfi.ee> fa80219
- v3.0.2 (2015-09-11)

* Fri Jul 31 2015 Elan Ruusamäe <glen@delfi.ee> 892c44f
- up to 3.0.1

* Sun May 10 2015 Elan Ruusamäe <glen@delfi.ee> d588443
- i686 build spl requires pcre (yet x86_64/x32 do not)

* Fri May 08 2015 Elan Ruusamäe <glen@delfi.ee> e6d4c6c
- depend pcre when testing

* Fri May 08 2015 Elan Ruusamäe <glen@delfi.ee> bd027da
- add php version to name

* Fri May 08 2015 Elan Ruusamäe <glen@delfi.ee> fb41d5c
- C extension of Piple

